RedHat 5.1 install crash - please help

RedHat 5.1 install crash - please help

Post by Copernican Drago » Sat, 27 Feb 1999 04:00:00



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

After much painful work, I finally found the boot image that allowed
RedHat 5.1 to recognize my Adaptec AHA-2940U2W PCI SCSI card.  The
image was found at
ftp://ftp.redhat.com/redhat/support/5.1/i386/images/boot.img.  It is
dated from October 13, 1998.  The next most current image I could find
was dated June 24, 1998.  Anyhow, I boot from the floppy, at the boot:
prompt type vmlinuz initrd=initrd.img (I don't know why I have to do
this, but it works), and proceed with the install.  It picks up the
card without having to select it from a list and finds the CD-ROM
drive.  I used Disk Druid to make the swap, root, /usr, and /usr/local
partitions.  Then I selected the packages I wanted.  It formatted the
partitions, but then it said "Fatal error opening RPM database."  All
this while, at the top of the screen another message had been
displayed that said, "unable to open /usr/lib/rpmrc for reading" or
something like that.  It didn't seem to affect the install, but I feel
it is worth mentioning.  Well, after that last error message, I hit
"OK" and then it unmounted things and shut the system down.

Anyone know what's happening?  I appeal to gurus.  I'm sort of a
newbie, so please help.

- --
<><><><><><><><><><><><><><><><><><><><><><>
Copernican Dragon
Founder of The Society Of Gargoyle Descendants
Remove the "nospam" to reply.
<><><><><><><><><><><><><><><><><><><><><><>
-----BEGIN PGP SIGNATURE-----
Version: PGP 6.0.2

iQA/AwUBNtYqJBjp3oJjce48EQI6fQCfXcUUCxJSirD1iOcHSFitzkIabPoAoNOT
UJn+4vdbU7kX+qiqjijtw1ky
=1Pwl
-----END PGP SIGNATURE-----

 
 
 

RedHat 5.1 install crash - please help

Post by David Kirkpatric » Sun, 28 Feb 1999 04:00:00


  What type of load are you doing?  Did you download to disk and
doing
an install from hard drive or an ftp install over the net???
  Why give ourself a headache?  Get the 5.2 RH CD's from
Cheapbytes, 6
bucks or RH for 28 bucks which has a book with allot of useful
information
which prevents headache's.  
  I think the vmlinuz initrd=initrd.img line is specifing that
the root
file system image is initially on ram disk.  The setup then
interacts with
this file system during setup.  From the HOWTO This feature is
typically
used to allow loading of modules needed to moun tthe real root
filesystem
(e.g. load the SCSI driver modules stored in theRAM disk image,
and then mount
the real root filesystem on a SCSI disk.
   Did you pull things off the net with ftp and binary on?  Do
you have all the
install modules required?

will be a ramdisk image on


> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1

> After much painful work, I finally found the boot image that allowed
> RedHat 5.1 to recognize my Adaptec AHA-2940U2W PCI SCSI card.  The
> image was found at
> ftp://ftp.redhat.com/redhat/support/5.1/i386/images/boot.img.  It is
> dated from October 13, 1998.  The next most current image I could find
> was dated June 24, 1998.  Anyhow, I boot from the floppy, at the boot:
> prompt type vmlinuz initrd=initrd.img (I don't know why I have to do
> this, but it works), and proceed with the install.  It picks up the
> card without having to select it from a list and finds the CD-ROM
> drive.  I used Disk Druid to make the swap, root, /usr, and /usr/local
> partitions.  Then I selected the packages I wanted.  It formatted the
> partitions, but then it said "Fatal error opening RPM database."  All
> this while, at the top of the screen another message had been
> displayed that said, "unable to open /usr/lib/rpmrc for reading" or
> something like that.  It didn't seem to affect the install, but I feel
> it is worth mentioning.  Well, after that last error message, I hit
> "OK" and then it unmounted things and shut the system down.

> Anyone know what's happening?  I appeal to gurus.  I'm sort of a
> newbie, so please help.

> - --
> <><><><><><><><><><><><><><><><><><><><><><>
> Copernican Dragon
> Founder of The Society Of Gargoyle Descendants
> Remove the "nospam" to reply.
> <><><><><><><><><><><><><><><><><><><><><><>
> -----BEGIN PGP SIGNATURE-----
> Version: PGP 6.0.2

> iQA/AwUBNtYqJBjp3oJjce48EQI6fQCfXcUUCxJSirD1iOcHSFitzkIabPoAoNOT
> UJn+4vdbU7kX+qiqjijtw1ky
> =1Pwl
> -----END PGP SIGNATURE-----

--